POST
Beneficiary Details Query
Query the profile details and review status of a single beneficiary.
Request
merchantNoMerchant number assigned by Onerway. Retrieve it from the merchant portal or onboarding material after your sandbox or production account is created.
Example:
801129beneficiaryIdBeneficiary ID returned by the create-beneficiary API.
Example:
1984102812163112960signRequest signature string. Generate it according to the Transfer request-signing rules with your merchant private key.
curl -X POST 'https://sandbox-api.onerway.com/payout/api/v1/beneficiary/queryDetail' \
-H 'Content-Type: application/json' \
--data-raw '{
"beneficiaryId": "1984102812163112960",
"merchantNo": 801129,
"sign": "d2ea92efff636320122021f65b613201403f6d34334cfbc7e589ce9f842284u3"
}'Response
respCodeResponse code returned by Onerway.
respMsgResponse message returned by Onerway.
data{ beneficiaryId, createTime, ... }Beneficiary detail record and review status.
{
"respCode": "20000",
"respMsg": null,
"data": {
"beneficiaryId": "1984102812163112960",
"createTime": "2025-10-31 11:39:07",
"updateTime": "2025-10-31 11:48:49",
"merchantNo": "801129",
"nationality": null,
"status": "S",
"remark": null,
"payoutCurrency": "PKR",
"expireDate": null,
"bankName": null,
"accountName": "betaData testData",
"bankAddress": null,
"payeeStatus": "unnecessary",
"accountBelong": "1",
"bankCountry": "PK",
"entityType": "1",
"payeeAddress": "testdsgddfs1233",
"paymentMethod": "E_WALLET",
"payeeCountry": "PK",
"receiverInfo": "{\"nickName\":\"CyBetatestInvolidPKR3\",\"companyName\":\"helloBoy\",\"lastName\":\"testData\",\"firstName\":\"betaData\",\"areaCode\":\"+92\",\"phone\":\"2313019452\",\"vatNumber\":\"8859884832\",\"birthDate\":\"1990-12-04\",\"email\":null,\"identityNumber\":null,\"identityType\":null}",
"address": "{\"countryCode\":null,\"state\":\"NY\",\"city\":\"NY\",\"townName\":null,\"addressLine1\":\"testdsgddfs1233\",\"addressLine2\":null,\"addressLine3\":null,\"postalCode\":\"10005\"}",
"accountInfomation": "{\"cardNumber\":null,\"accountType\":\"\",\"swiftCode\":null,\"sortCode\":null,\"bankName\":\"MCB BankLimited\",\"branchCode\":null,\"bankHolderName\":null,\"walletType\":\"EASYPAISA\",\"walletPhone\":\"03079770877\",\"pickUpBankName\":null,\"pickUpBankBranchName\":null,\"pickUpBankBranchId\":null,\"pickUpBankBranchAddress\":null}"
}
}No error responses are documented for this endpoint.